%define mclrelease 135
Name:           mcl-edge
Version:        12
Release:        %{mclrelease}.1%{?dist}
Summary:        analysis of networks with millions of nodes

License:        GPL
URL:            http://micans.org/mcl/index.html?sec_mcledge
Source0:        mcl-%{version}-%{mclrelease}.tar.gz

BuildRequires:  gcc
Requires:       python

%description
MCL-edge is a collection of ready-made network analysis tools that includes the clustering program MCL. MCL-edge is dedicated to analysis of very large networks, scaling up to millions of nodes and hundreds of millions of edges. It is comprised of a small set of tools supporting algorithms that are both commonly used and scale well. The tools are ready-to-run, command-line based, often allowing multi-processing and job dispatching. It is complementary to software packages such as R igraph and NetworkX that support a wider assortment of algorithms. 

%prep
%setup -q -n mcl-%{version}-%{mclrelease}


%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}/mcl-edge-%{version} exampledir=%{_docdir}/mcl-edge-%{version}/examples

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man*/*
%doc %{_docdir}/*

%changelog
* Fri Dec 28 2012 Josko Plazonic <plazonic@math.princeton.edu>
- minor tweaks to the spec file

* Thu Dec 27 2012 Ben Rose <benrose@cs.princeton.edu>
- first build
